﻿@using Portal.Models.Globals;
@using Portal.Models.InvoiceCreation;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;
@using System.Drawing;
@model Toyota.Common.Web.MVC.ModelHolder
           
@{
    string dispFormat = "#,###";
    string curr = "IDR";
    var m = Model.GetModel<InvoiceCreationModel>();
    if (m!=null && m.InvoicePreview != null) 
    {
        curr = m.InvoicePreview.Currency;
     
    }
    
    if (curr != null && !"IDR".Equals(curr))
    {
        dispFormat = curr + " #,##0.00;;";
    }
    else
    {
        dispFormat = curr + " #,##0;;";
    }
}


<table border="0" class="tableHeader">
    <tr>

        
        <td width="300" align="center" valign="top">
            Invoice List
            @Html.Partial("PopupInvoicePreviewInvoiceGridPartial")
        </td>
        

        <td>
            <div class="filler">
                &nbsp;</div>
        </td>
        <td width="10" class="vline">
            &nbsp;
        </td>
        <td>
            <div class="filler">
                &nbsp;</div>
        </td>
        <td width="270" valign="top">
            <table class="tableHeader inner-invpre" border="0">
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                        edtSettings =>
                        {
                            edtSettings.EncodeHtml = false;
                            edtSettings.Text = "Invoice No <font color=red>*</font>";
                        }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "InvoiceNo";
                                t.Width = Unit.Percentage(100);
                                t.Properties.MaxLength = 12;
                                t.Properties.EnableClientSideAPI = true;
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                            edtSettings =>
                            {
                                edtSettings.EncodeHtml = false;
                                edtSettings.Text = "Invoice Date <font color=red>*</font>";
                            }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().DateEdit(
                            e =>
                            {
                                e.Name = "deInvoiceDate";
                                e.Width = System.Web.UI.WebControls.Unit.Pixel(125);
                                e.Properties.EditFormatString = "dd.MM.yyyy";
                                e.Properties.EnableClientSideAPI = true;
                                e.Properties.ClientSideEvents.DateChanged = "CheckInvoiceDateForRetro";
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Turn Over";
                                }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        
                        @Html.DevExpress().TextBox(
                                t =>
                                {
                                    t.Name = "TurnOver";
                                    t.Width = Unit.Percentage(100);
                                    t.ReadOnly = true;
                                    t.Properties.DisplayFormatString = dispFormat;

                                    t.ControlStyle.BackColor = Color.LightGray;

                                    t.ControlStyle.CssClass = "disabled-edit";

                                    t.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Total Manifest";
                                }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().TextBox(
                                t =>
                                {
                                    t.Name = "TotalManifest";
                                    t.Width = Unit.Percentage(100);
                                    t.Properties.DisplayFormatString = "#,##0";
                                    t.ReadOnly = true;

                                    t.ControlStyle.BackColor = Color.LightGray;

                                    t.ControlStyle.CssClass = "disabled-edit";
                                    t.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Stamp Included";
                                }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "StampIncluded";
                                    c.Properties.ClientSideEvents.CheckedChanged = "StampIncludedCheckedChanged";

                                }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Total Invoice Amount";
                                }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().TextBox(
                                t =>
                                {
                                    t.Name = "TotalInvoiceAmount";
                                    t.Width = Unit.Percentage(100);
                                    t.Properties.DisplayFormatString = dispFormat;
                                    t.ReadOnly = true;
                                    t.ControlStyle.BackColor = Color.LightGray;
                                    t.ControlStyle.CssClass = "disabled-edit";
                                    t.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <!--Changed by fid.yudia 2022-04-09-->
                    <td class="thColumn lipc1">
                        <!--Transaction Type-->
                        @Html.DevExpress().Label(
                            edtSettings =>
                            {
                                edtSettings.EncodeHtml = false;
                                edtSettings.Name = "TransactionType";
                                edtSettings.Text = "Transaction Type <font color=red>*</font>";
                            }).GetHtml()                        
                    </td>
                    <td class="thColumn vhip">
                   @Html.DevExpress().ComboBox(c=>{
                         c.Name = "coTT";
                         c.Properties.ClientInstanceName = "coTT";
                         c.Width = Unit.Percentage(100);
                         c.Properties.ValueField = "Val";
                         c.Properties.ValueType = typeof(string);       
                         c.Properties.TextField = "Text";
                         c.Properties.TextFormatString = "{0} - {1}";
                       
                         c.Properties.DropDownStyle = DropDownStyle.DropDown;
                         c.Properties.Columns.Add("Val", "Code", Unit.Pixel(60));
                         c.Properties.Columns.Add("Text", "Name");
                         c.Properties.ClientSideEvents.SelectedIndexChanged = "coTTSelectedIndexChanged";
                   }).BindList(Model.GetModel<IEnumerable<ComboData>>()).GetHtml()                   
                    </td>
                </tr>
            </table>
        </td>
        <td>
            <div class="filler">
                &nbsp;</div>
        </td>
        <td valign="top" width="260">
            <table class="tableHeader inner-invpre" border="0">
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                                            edtSettings =>
                                            {
                                                edtSettings.EncodeHtml = false;
                                                edtSettings.Text = "Tax No <font color=red>*</font>";
                                            }).GetHtml()
                    </td>
                    <td>
                  
                        @Html.Common().DevExpress().GridLookup(
                        se =>
                        {
                            se.Name = "InvoiceTaxNo";
                            se.GridProperties.KeyFieldName = "InvoiceTaxNo";
                            
                            se.Width = System.Web.UI.WebControls.Unit.Pixel(140);
                            se.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(350);
                            se.GridProperties.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "GetInvoiceTax" };
                            se.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            se.GridProperties.Settings.ShowColumnHeaders = false;
                            se.GridProperties.SettingsBehavior.EnableRowHotTrack = true;
                            se.GridProperties.SettingsPager.PageSize = 100;
                            se.GridProperties.ClientSideEvents.RowClick = "GetInvTaxValue";
                            se.ReadOnly = true;
                            se.GridProperties.Columns.Add(c =>
                            {
                                c.Name = "TaxNo";
                                c.FieldName = "InvoiceTaxNo";
                                c.Caption = "Tax No";
                                c.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                                c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            });
                            
                            se.GridProperties.Columns.Add(c =>
                            {
                                c.Name = "TaxDT";
                                c.FieldName = "InvoiceTaxDate";
                                c.Caption = "Tax Date";
                                c.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                                c.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                                c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            });
                            se.GridProperties.Columns.Add(c =>
                            {
                                c.Name = "TaxAmount";
                                c.FieldName = "InvoiceTax";
                                c.Caption = "Amount";
                                c.PropertiesEdit.DisplayFormatString = dispFormat;
                                c.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                                c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                            });
                            se.GridProperties.Columns.Add(c =>
                            {
                                c.Name = "BypassFlag";
                                c.FieldName = "BypassFlag";
                                c.SetColVisible(false);
                            });

                            se.GridProperties.BeforeGetCallbackResult = (s, e) =>
                            {
                                MVCxGridView g = s as MVCxGridView;
                                g.Columns[0].Visible = false;
                            };
                        }
                    ).Bind(ViewData["InvoiceTax"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                        edtSettings =>
                        {
                            edtSettings.EncodeHtml = false;
                            edtSettings.Text = "Tax Date";
                        }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "InvoiceTaxDate";
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            settings.ClientEnabled = false;
                            settings.ReadOnly = true;
                            settings.ClientVisible = true;
                            settings.ControlStyle.BackColor = Color.LightGray;
                            settings.ControlStyle.CssClass = "disabled-edit";
                            settings.ControlStyle.ForeColor = Color.Black;
                            settings.Width = Unit.Percentage(100);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                            edtSettings =>
                            {
                                edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                                edtSettings.Text = "Tax Amount";
                            }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "TaxAmount";
                                t.Width = Unit.Percentage(100);
                                t.ReadOnly = true;
                                t.Properties.DisplayFormatString = dispFormat;
                                t.ControlStyle.BackColor = Color.LightGray;
                                t.ControlStyle.CssClass = "disabled-edit";
                                t.ControlStyle.HorizontalAlign = HorizontalAlign.Right;

                            }).GetHtml()

                        <!--ADDED BY fid.intan 2015-08-06-->
                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "ToleranceValue";
                                t.ClientVisible = false;
                                t.ReadOnly = true;
                            }).GetHtml()

                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "txBypassFlag";
                                t.ClientVisible = false;
                                t.ReadOnly = true;
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    @*Update by Arka.Taufik 2022-03-22*@
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                            edtSettings =>
                            {
                                edtSettings.EncodeHtml = false;
                                edtSettings.Name = "TaxCode";
                                edtSettings.Text = "Tax Code <font color=red>*</font>";
                            }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.Common().DevExpress().GridLookup(
                            gridLookup =>
                            {
                                gridLookup.Name = "TaxCodeCombo";
                                gridLookup.GridProperties.KeyFieldName = "TAX_CD";

                                gridLookup.Width = Unit.Percentage(100);
                                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "PartialTaxGridLookup" };
                                gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                                gridLookup.GridProperties.Settings.ShowColumnHeaders = false;
                                gridLookup.GridProperties.SettingsBehavior.EnableRowHotTrack = true;
                                gridLookup.GridProperties.SettingsPager.PageSize = 100;
                                gridLookup.ReadOnly = true;
                                gridLookup.GridProperties.ClientSideEvents.RowClick = "GetTaxCodeCombo";

                                gridLookup.GridProperties.Columns.Add(column =>
                                {
                                    column.Name = "TaxCode";
                                    column.FieldName = "TAX_CD";
                                    column.Caption = "Tax Code";
                                    column.Width = Unit.Pixel(80);
                                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });
                                gridLookup.GridProperties.Columns.Add(column =>
                                {
                                    column.Name = "TaxName";
                                    column.FieldName = "TAX_NAME";
                                    column.Caption = "Tax Name";
                                    column.Width = Unit.Pixel(350);
                                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });
                                gridLookup.GridProperties.Columns.Add(column =>
                                {
                                    column.Name = "TaxRate";
                                    column.FieldName = "RATE";
                                    column.Caption = "Tax Rate";
                                    column.Width = Unit.Pixel(100);
                                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });

                                gridLookup.GridProperties.BeforeGetCallbackResult = (s, e) =>
                                {
                                    MVCxGridView g = s as MVCxGridView;
                                    g.Columns[0].Visible = false;
                                };

                            }).Bind(ViewData["TaxGridLookup"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                            edtSettings =>
                            {
                                edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                                edtSettings.Text = "Invoice Tax Amount";
                            }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "InvoiceTaxAmount";
                                t.Width = Unit.Percentage(100);
                                t.ReadOnly = true;
                                t.Properties.DisplayFormatString = dispFormat;
                                t.ControlStyle.BackColor = Color.LightGray;
                                t.ControlStyle.CssClass = "disabled-edit";
                                t.ControlStyle.HorizontalAlign = HorizontalAlign.Right;

                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">
                        @Html.DevExpress().Label(
                            edtSettings =>
                            {
                                edtSettings.Name = "RetroLabel";
                                edtSettings.Text = "Retro Amount";
                            }).GetHtml()
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "RetroAmount";
                                t.Width = Unit.Percentage(100);
                                t.Properties.DisplayFormatString = dispFormat;
                                t.ReadOnly = true;                                        
                                t.ControlStyle.BackColor = Color.LightGray;
                                t.ControlStyle.CssClass = "disabled-edit";
                                t.ControlStyle.ForeColor = Color.Black;
                                t.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            }).GetHtml()
                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "RetroDisabledDate";
                                t.Width = Unit.Percentage(100);
                                t.ReadOnly = true;
                                t.ControlStyle.BackColor = Color.LightGray;
                                t.ControlStyle.CssClass = "disabled-edit";
                                t.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                t.ClientEnabled = false;
                                t.ClientVisible = false;
                            }).GetHtml()
                        @Html.DevExpress().TextBox(
                            t =>
                            {
                                t.Name = "RetroTaxRate";
                                t.Width = Unit.Percentage(100);
                                t.ReadOnly = true;
                                t.ControlStyle.BackColor = Color.LightGray;
                                t.ControlStyle.CssClass = "disabled-edit";
                                t.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                t.ClientEnabled = false;
                                t.ClientVisible = false;
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1">&nbsp;</td>
                    <td class="thColumn vhip">&nbsp;</td>
                </tr>
                <tr id="PPh23Row">
                    <td class="thColumn lipc1">
                        PPh 23 Amount
                    </td>
                    <td class="thColumn vhip">
                        @Html.DevExpress().TextBox(
                           t =>
                           {
                               t.Name = "PPh23Amount";
                               t.Properties.ClientInstanceName = "PPh23Amount";
                               t.Width = Unit.Percentage(100);
                               t.ReadOnly = true;
                               t.Properties.DisplayFormatString = dispFormat;
                               t.ControlStyle.BackColor = Color.LightGray;
                               t.ControlStyle.CssClass = "disabled-edit";
                               t.ControlStyle.HorizontalAlign = HorizontalAlign.Right;

                           }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td class="thColumn lipc1" colspan="2">
                        @Html.DevExpress().Label(
                            edtSettings =>
                            {
                                edtSettings.Name = "LblCommand";
                                edtSettings.Width = Unit.Percentage(100);
                                //edtSettings.Text = "PPV Amount";
                            }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="7" align="right">
            @Html.DevExpress().Button(
                b =>
                {
                    b.ControlStyle.CssClass = "DisplayButtonFloatRight";
                    b.Name = "btnCancel";
                    b.Text = "Close";
                    b.ClientSideEvents.Click = "OnClosePopup";
                    b.UseSubmitBehavior = true;
                }).GetHtml()
            
            @Html.DevExpress().Button(
                b =>
                {
                    b.ControlStyle.CssClass = "DisplayButtonFloatRight";
                    b.Name = "btnDownloadDetailData";
                    b.Text = "Download Detail Data";
                    b.ClientSideEvents.Click = "btnDownloadDetailDataClick";
                    b.UseSubmitBehavior = true;
                }).GetHtml()

            @Html.DevExpress().Button(
                b =>
                {
                    b.ControlStyle.CssClass = "DisplayButtonFloatRight";
                    b.Name = "btnSaveInvoiceDocument";
                    b.Text = "Save Invoice Document";
                    b.UseSubmitBehavior = true;
                    b.ValidationGroup = "VG1";
                    b.ClientSideEvents.Click = "btnSaveInvoiceDocumentClick";

                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "btnSaveInvoiceDocument");

                    switch (auth)
                    {
                        case 0:
                            b.ClientVisible = false;
                            break;
                        case 1:
                            b.Enabled = false;
                            break;
                        case 2:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                        default:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                    }
                }).GetHtml()
        </td>
    </tr>
</table>

